<aside hidden title="Welcome to the underworld!">
	<firebase-app></firebase-app>

	<script>
		let hugoIsProduction = {{hugo.IsProduction}};
		let config;

		{{ if hugo.IsProduction }}
		config = {
			"api-key": {{ .Site.Params.firebase.live.apiKey}},
			"auth-domain": {{ .Site.Params.firebase.live.authDomain}},
			"database-url": {{ .Site.Params.firebase.live.databaseURL}},
			"project-id": {{ .Site.Params.firebase.live.projectId}},
			"storage-bucket": {{ .Site.Params.firebase.live.storageBucket}},
			"messaging-sender-id": {{ .Site.Params.firebase.live.messagingSenderId}},
			"app-id": {{ .Site.Params.firebase.live.appId}}
		};

		{{ else }}
		config = {
			"api-key": {{ .Site.Params.firebase.dev.apiKey}},
			"auth-domain": {{ .Site.Params.firebase.dev.authDomain}},
			"database-url": {{ .Site.Params.firebase.dev.databaseURL}},
			"project-id": {{ .Site.Params.firebase.dev.projectId}},
			"storage-bucket": {{ .Site.Params.firebase.dev.storageBucket}},
			"messaging-sender-id": {{ .Site.Params.firebase.dev.messagingSenderId}},
			"app-id": {{ .Site.Params.firebase.dev.appId}}
		};
		{{ end}}

		if (config) {
			$app = document.querySelector('firebase-app')
			Object.keys(config).forEach(key => {
				$app.setAttribute(key, config[key])
			})
		}
	</script>
</aside>
